| Wireshark 4.7.3 The Wireshark network protocol analyzer

Loading...
Searching...
No Matches
Public Attributes | List of all members
report_message_routines Struct Reference

Dispatch table of error and warning reporting callbacks, allowing different application frontends to handle diagnostic messages independently. More...

`#include <report_message.h>`

## Public Attributes
void(* | vreport_failure )(const char *fmt, va_list ap)
| Reports a formatted fatal failure message via a va_list argument list.
void(* | vreport_warning )(const char *fmt, va_list ap)
| Reports a formatted non-fatal warning message via a va_list argument list.
void(* | report_open_failure )(const char *filename, int err, bool for_writing)
| Reports a failure to open a file.
void(* | report_read_failure )(const char *filename, int err)
| Reports a failure to read from a file.
void(* | report_write_failure )(const char *filename, int err)
| Reports a failure to write to a file.
void(* | report_rename_failure )(const char *old_filename, const char *new_filename, int err)
| Reports a failure to rename a file.
void(* | report_cfile_open_failure )(const char *filename, int err, char *err_info)
| Reports a failure to open a capture file.
void(* | report_cfile_dump_open_failure )(const char *filename, int err, char *err_info, int file_type)
| Reports a failure to open a capture file for dumping (writing).
void(* | report_cfile_read_failure )(const char *filename, int err, char *err_info)
| Reports a failure to read from a capture file.
void(* | report_cfile_write_failure )(const char *in_filename, const char *out_filename, int err, char *err_info, uint64_t framenum, int file_type)
| Reports a failure to write a frame to a capture file.
void(* | report_cfile_close_failure )(const char *filename, int err, char *err_info)
| Reports a failure to close a capture file.

## Detailed Description

Dispatch table of error and warning reporting callbacks, allowing different application frontends to handle diagnostic messages independently.

## Member Data Documentation

## ◆ report_cfile_close_failure

void(* report_message_routines::report_cfile_close_failure) (const char *filename, int err, char *err_info)

Reports a failure to close a capture file.

Parameters

  filename | Path of the capture file that could not be closed cleanly.
  err | errno or wtap error code describing the failure.
  err_info | Additional error detail string, or NULL.

## ◆ report_cfile_dump_open_failure

void(* report_message_routines::report_cfile_dump_open_failure) (const char *filename, int err, char *err_info, int file_type)

Reports a failure to open a capture file for dumping (writing).

Parameters

  filename | Path of the capture file that could not be opened.
  err | errno or wtap error code describing the failure.
  err_info | Additional error detail string, or NULL.
  file_type | wtap file type identifier of the intended output format.

## ◆ report_cfile_open_failure

void(* report_message_routines::report_cfile_open_failure) (const char *filename, int err, char *err_info)

Reports a failure to open a capture file.

Parameters

  filename | Path of the capture file that could not be opened.
  err | errno or wtap error code describing the failure.
  err_info | Additional error detail string, or NULL.

## ◆ report_cfile_read_failure

void(* report_message_routines::report_cfile_read_failure) (const char *filename, int err, char *err_info)

Reports a failure to read from a capture file.

Parameters

  filename | Path of the capture file that could not be read.
  err | errno or wtap error code describing the failure.
  err_info | Additional error detail string, or NULL.

## ◆ report_cfile_write_failure

void(* report_message_routines::report_cfile_write_failure) (const char *in_filename, const char *out_filename, int err, char *err_info, uint64_t framenum, int file_type)

Reports a failure to write a frame to a capture file.

Parameters

  in_filename | Path of the source capture file being read.
  out_filename | Path of the destination capture file being written.
  err | errno or wtap error code describing the failure.
  err_info | Additional error detail string, or NULL.
  framenum | Frame number of the packet that could not be written.
  file_type | wtap file type identifier of the output format.

## ◆ report_open_failure

void(* report_message_routines::report_open_failure) (const char *filename, int err, bool for_writing)

Reports a failure to open a file.

Parameters

  filename | Path of the file that could not be opened.
  err | errno value describing the failure.
  for_writing | True if the file was being opened for writing; false for reading.

## ◆ report_read_failure

void(* report_message_routines::report_read_failure) (const char *filename, int err)

Reports a failure to read from a file.

Parameters

  filename | Path of the file that could not be read.
  err | errno value describing the failure.

## ◆ report_rename_failure

void(* report_message_routines::report_rename_failure) (const char *old_filename, const char *new_filename, int err)

Reports a failure to rename a file.

Parameters

  old_filename | Original path of the file.
  new_filename | Target path the file could not be renamed to.
  err | errno value describing the failure.

## ◆ report_write_failure

void(* report_message_routines::report_write_failure) (const char *filename, int err)

Reports a failure to write to a file.

Parameters

  filename | Path of the file that could not be written.
  err | errno value describing the failure.

## ◆ vreport_failure

void(* report_message_routines::vreport_failure) (const char *fmt, va_list ap)

Reports a formatted fatal failure message via a va_list argument list.

Parameters

  fmt | printf-style format string.
  ap | Variable argument list for the format string.

## ◆ vreport_warning

void(* report_message_routines::vreport_warning) (const char *fmt, va_list ap)

Reports a formatted non-fatal warning message via a va_list argument list.

Parameters

  fmt | printf-style format string.
  ap | Variable argument list for the format string.

The documentation for this struct was generated from the following file:

- /builds/wireshark/wireshark/wsutil/report_message.h